Subject: Re: defaults for where to merge from

From: Paolo Bonzini <[email-masked]>
Date: Thu, 01 Mar 2007 09:02:31 +0100

> which everyone hated. With this change it will not that blindly,
 > but still unexpectedly jump to some remote branch.
 >
 >> However, with the proposed behaviour, more new users would get less
 >> "Huh?" experiences.
 >
 > yes, it will be the old users who'd get the experiences. What do they
 > do, edit out unwanted tracking from .git/config everytime a branch
 > from remote is created?

If everyone hated the old behavior, old users should already be careful 
about not git-pull'ing (without options) from any branch but master.  So 
they won't see any difference.

Coming from arch, which is not really a masterpiece of intuitiveness, 
this detail (as well as others for which I may try writing patches 
later) struck me as *extremely* unintuitive...

Paolo